--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Search for a gem by Gem::Dependency <tt>gem_pattern</tt>. If <tt>only_platform</tt> is true, only gems matching Gem::Platform.local will be returned. An Array of matching Gem::Specification objects is returned.
- !ruby/struct:SM::Flow::P 
  body: For backwards compatibility, a String or Regexp pattern may be passed as <tt>gem_pattern</tt>, and a Gem::Requirement for <tt>platform_only</tt>. This behavior is deprecated and will be removed.
full_name: Gem::SourceIndex#search
is_singleton: false
name: search
params: (gem_pattern, platform_only = false)
visibility: public
